Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTemplateMenuFunction Class Reference

The class eZTemplateMenuFunction does. More...

## Public Member Functions
| __construct ( $blockName='menu')
| functionList ()
| functionTemplateHints ()
| templateNodeTransformation ( $functionName, &$node, $tpl, $parameters, $privateData)
| process ( $tpl, &$textElements, $functionName, $functionChildren, $functionParameters, $functionPlacement, $rootNamespace, $currentNamespace)
| hasChildren ()

## Public Attributes
| $BlockName

## Detailed Description

The class eZTemplateMenuFunction does.

Definition at line 17 of file eztemplatemenufunction.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateMenuFunction::__construct | ( |  | $blockName = `'menu'` | ) |

Initializes the object with names.

Parameters

  string | $blockName |

Definition at line 25 of file eztemplatemenufunction.php.

## Member Function Documentation

## ◆ functionList()

eZTemplateMenuFunction::functionList | ( |  | ) |

Returns an array containing the name of the block function, default is "block". The name is specified in the constructor.

Definition at line 34 of file eztemplatemenufunction.php.

## ◆ functionTemplateHints()

eZTemplateMenuFunction::functionTemplateHints | ( |  | ) |

Definition at line 39 of file eztemplatemenufunction.php.

## ◆ hasChildren()

eZTemplateMenuFunction::hasChildren | ( |  | ) |

Returns false.

Definition at line 153 of file eztemplatemenufunction.php.

## ◆ process()

eZTemplateMenuFunction::process | ( |  | $tpl,
|  | & | $textElements,
|  |  | $functionName,
|  |  | $functionChildren,
|  |  | $functionParameters,
|  |  | $functionPlacement,
|  |  | $rootNamespace,
|  |  | $currentNamespace
| ) |  |

Processes the function with all it's children.

Definition at line 123 of file eztemplatemenufunction.php.

## ◆ templateNodeTransformation()

eZTemplateMenuFunction::templateNodeTransformation | ( |  | $functionName,
|  | & | $node,
|  |  | $tpl,
|  |  | $parameters,
|  |  | $privateData
| ) |  |

Definition at line 48 of file eztemplatemenufunction.php.

References eZTemplateNodeTool\createCodePieceNode(), eZTemplateNodeTool\createVariableNode(), eZTemplateNodeTool\createVariableUnsetNode(), eZTemplateNodeTool\elementConstantValue(), eZTemplateNodeTool\extractFunctionNodeParameters(), eZTemplateCompiler\isCommentsEnabled(), eZTemplateNodeTool\isConstantElement(), and eZTemplate\NAMESPACE_SCOPE_RELATIVE.

## Member Data Documentation

## ◆ $BlockName

eZTemplateMenuFunction::$BlockName

Definition at line 19 of file eztemplatemenufunction.php.

The documentation for this class was generated from the following file:

- eztemplatemenufunction.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.